{
  "name": "adblockplus",
  "repository": "https://gitlab.com/adblockinc/ext/adblockplus/adblockplus",
  "license": "GPL-3.0",
  "engines": {
    "node": ">=18.17.1 <19",
    "npm": "9"
  },
  "scripts": {
    "$": "npm-dollar",
    "build:dev": "gulp devenv -t",
    "build:release": "gulp build -c release -t",
    "build:source": "gulp source",
    "dist": "npm run $ create.dist",
    "lint": "npm run $ lint",
    "eslint": "eslint --ext .ts,.js,.mjs,.cjs --ignore-path .gitignore ./",
    "eslint:standard": "eslint --ext .ts --ignore-path .gitignore src/",
    "eslint:legacy": "eslint --ext .js,.mjs --ignore-path .gitignore --ignore-pattern /adblockpluschrome/ ./",
    "eslint:adblockpluschrome": "eslint --ext .js,.cjs --ignore-path .gitignore adblockpluschrome/",
    "start": "http-server ./dist/devenv/local/",
    "test": "npm run $ unit",
    "csv-export": "node build/locale-sync/csv/main.js -e",
    "csv-import": "node build/locale-sync/csv/main.js -i && node build/locale-sync/normalize.js",
    "test:cleanup-reports": "rm -r allure-report test/end-to-end/allure-results",
    "test:end-to-end:build": "rm -rf allure-report test/end-to-end/allure-results && node test/end-to-end/helper-extension/build.mjs",
    "test:end-to-end": "MANIFEST_VERSION=2 npm run test:end-to-end:build && cd test/end-to-end && npx wdio run test.conf.js --suite",
    "test:end-to-end-mv3": "MANIFEST_VERSION=3 npm run test:end-to-end:build && cd test/end-to-end && npx wdio run test.conf.mv3.js --suite",
    "test:end-to-end-local": "npm run test:end-to-end:build && cd test/end-to-end && npx wdio run local-test.conf.js --suite",
    "test:end-to-end-old-browsers": "MANIFEST_VERSION=2 npm run test:end-to-end:build && cd test/end-to-end && npx wdio run old-browsers-test.conf.js --suite",
    "test:generate-and-open-report": "allure generate test/end-to-end/allure-results && allure open",
    "test:generate-report": "allure generate test/end-to-end/allure-results"
  },
  "$": {
    "create": {
      "dist": {
        "icons": "node build/icons-generation/index.js",
        "rules": "rules adblockplus"
      }
    },
    "crowdin": {
      "download-translations": [
        "node build/locale-sync/crowdin/clear-files.js",
        "crowdin download",
        "for file in $(grep -rw './locale' -le '{}'); do rm $file; done",
        "node build/locale-sync/normalize.js"
      ],
      "upload-strings": "crowdin upload sources",
      "upload-translations": "crowdin upload translations --auto-approve-imported"
    },
    "lint": {
      "html": "prettier -c --parser html ./src/**/*.html",
      "css": "stylelint ./src/**/*.css --ignore-path .gitignore",
      "js": "npm run eslint",
      "ts": "tsc --noEmit",
      "locale": "node build/locale-linter ./locale/**/*.json"
    },
    "unit": {
      "legacy": "mocha \"./test/unit/**/*.spec.{js,mjs}\"",
      "standard": "jest"
    },
    "xtm": {
      "create": "node build/locale-sync/xtm --create",
      "details": "node build/locale-sync/xtm --details",
      "update": "node build/locale-sync/xtm --update",
      "build": "node build/locale-sync/xtm --build",
      "download": [
        "node build/locale-sync/xtm --download",
        "node build/locale-sync/normalize.js"
      ]
    }
  },
  "dependencies": {
    "@adblockinc/rules": "gitlab:adblockinc/ext/rules#04a8ddcc2d09c44f151630d98e5a388e9fcd8d3e",
    "@eyeo/snippets": "1.4.1",
    "@eyeo/webext-ad-filtering-solution": "1.11.0",
    "@sentry/browser": "8.2.1",
    "argparse": "1.0.10",
    "canvas": "2.11.2",
    "css-loader": "6.8.1",
    "del": "5.1.0",
    "glob": "8.0.3",
    "gulp": "4.0.2",
    "gulp-gzip": "1.4.2",
    "gulp-tar": "3.1.0",
    "gulp-vinyl-zip": "2.2.1",
    "handlebars": "4.7.8",
    "hyperhtml-element": "3.15.2",
    "merge-stream": "2.0.0",
    "npm-dollar": "2.2.1",
    "source-map-loader": "4.0.1",
    "style-loader": "3.3.3",
    "through": "2.3.8",
    "ts-loader": "9.3.1",
    "typescript": "4.7.3",
    "webextension-polyfill": "0.8.0",
    "webpack": "5.93.0",
    "webpack-merge": "5.1.4",
    "webpack-stream": "7.0.0"
  },
  "devDependencies": {
    "@babel/core": "7.18.9",
    "@babel/preset-env": "7.18.9",
    "@babel/preset-typescript": "7.18.6",
    "@types/jest": "29.5.12",
    "@types/webextension-polyfill": "0.8.0",
    "@typescript-eslint/eslint-plugin": "6.11.0",
    "@typescript-eslint/parser": "6.11.0",
    "@wdio/allure-reporter": "8.0.0",
    "@wdio/cli": "8.32.3",
    "@wdio/firefox-profile-service": "8.32.2",
    "@wdio/local-runner": "8.32.3",
    "@wdio/mocha-framework": "8.32.3",
    "@wdio/spec-reporter": "8.32.2",
    "@xmldom/xmldom": "0.8.10",
    "adm-zip": "0.5.9",
    "axios": "1.6.8",
    "babel-jest": "28.1.3",
    "basichtml": "2.4.9",
    "chai": "4.3.6",
    "csv": "6.1.3",
    "dotenv": "16.4.5",
    "dotenv-webpack": "8.1.0",
    "eslint": "8.34.0",
    "eslint-config-eyeo": "3.2.0",
    "eslint-config-prettier": "9.1.0",
    "eslint-config-standard-with-typescript": "39.1.1",
    "eslint-plugin-prettier": "5.1.3",
    "form-data": "4.0.0",
    "http-server": "14.1.1",
    "jest": "29.7.0",
    "jest-environment-jsdom": "29.7.0",
    "jest-webextension-mock": "3.8.9",
    "js-yaml": "4.1.0",
    "minimist": "1.2.6",
    "mocha": "10.0.0",
    "moment": "2.29.4",
    "node-fetch": "2.7.0",
    "prettier": "3.2.5",
    "stylelint": "14.9.1",
    "stylelint-config-eyeo": "1.0.3",
    "wdio-lambdatest-service": "2.1.2"
  },
  "overrides": {
    "stylelint": "14.9.1"
  }
}
